using Beam.Dynamic;
using Microsoft.Recognizers.Text;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Beam.Tests {
    public class StringCleanerTests {
        [Fact]
        public void Should_LocalizeArabic() {
            const string test = "1234";

            List<int> localized = StringCleaner.ParseNumbers(test,  Culture.English);

            Assert.Single(localized);
            Assert.Equal(1234, localized[0]);
        }

        [Fact]
        public void Should_LocalizeIndian() {
            const string test = "九一五";

            List<int> localized = StringCleaner.ParseNumbers(test, Culture.Chinese);

            Assert.Single(localized);
            Assert.Equal(915, localized[0]);
        }


    }
}
